using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace banco1.presentacion
{
	/// <summary>
	/// Descripción breve de FLista.
	/// </summary>
	public abstract class FLista : System.Windows.Forms.Form
	{
		protected System.Windows.Forms.ListView listView1;
		/// <summary>
		/// Variable del diseñador requerida.
		/// </summary>
		private System.ComponentModel.Container components = null;
		protected String mTabla;
		protected ArrayList mDatos;

		public FLista()
		{
			//
			// Necesario para admitir el Diseñador de Windows Forms
			//
			InitializeComponent();
		}
		

		public FLista(String tabla, ArrayList datos)
		{
			//
			// Necesario para admitir el Diseñador de Windows Forms
			//
			InitializeComponent();

			this.listView1.Columns.Add("", 0, HorizontalAlignment.Left);
			object[] titulos=(object[]) datos[0];
			for (int i=0; i<titulos.Length; i++)
				this.listView1.Columns.Add(titulos[i].ToString(), listView1.Width/titulos.Length, HorizontalAlignment.Left);
			listView1.View = View.Details;
			mTabla=tabla;
			mDatos=datos;
			cargaDatos();
		}

		protected abstract void cargaDatos();

		/// <summary>
		/// Limpiar los recursos que se estén utilizando.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Código generado por el Diseñador de Windows Forms
		/// <summary>
		/// Método necesario para admitir el Diseñador. No se puede modificar
		/// el contenido del método con el editor de código.
		/// </summary>
		private void InitializeComponent()
		{
			this.listView1 = new System.Windows.Forms.ListView();
			this.SuspendLayout();
			// 
			// listView1
			// 
			this.listView1.Location = new System.Drawing.Point(8, 16);
			this.listView1.Name = "listView1";
			this.listView1.Size = new System.Drawing.Size(720, 288);
			this.listView1.TabIndex = 0;
			// 
			// FLista
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(744, 342);
			this.Controls.Add(this.listView1);
			this.Name = "FLista";
			this.Text = "FLista";
			this.ResumeLayout(false);

		}
		#endregion
	}
}
